const container = document.querySelector("#container");
const svg = document.querySelector("#hbs");
const card = document.querySelector("#card");

const cardWords = [];
let lastWord = "";

let panel = new Panel(svg.outerHTML, container);

window.addEventListener("onCableStart", (e) => {
	let currentWord = e.detail.value().trim();
	if (currentWord == lastWord) return;
	cardWords.push(currentWord);
	lastWord = currentWord;
	card.innerHTML = cardWords.join(" ");
});

window.addEventListener("onCableEnd", (e) => {
	currentWord = e.detail.value().trim();
	cardWords.push(currentWord);
	lastWord = currentWord;
	card.innerHTML = cardWords.join(" ");
});
